> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update instrumentation diagnostics settings

> Enable or disable the instrumentation-diagnostics digest for the authenticated tenant.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json patch /projects/{project_id}/instrumentation-diagnostics
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /projects/{project_id}/instrumentation-diagnostics:
    patch:
      tags:
        - Projects
      summary: Update instrumentation diagnostics settings
      description: >-
        Enable or disable the instrumentation-diagnostics digest for the
        authenticated tenant.
      operationId: update_instrumentation_diagnostics_settings
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID.
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - enabled
              properties:
                enabled:
                  type: boolean
              additionalProperties: false
      responses:
        '200':
          description: Updated instrumentation diagnostics settings
          content:
            application/json:
              schema:
                type: object
                properties:
                  enabled:
                    type: boolean
                  slack_connected:
                    type: boolean
                required:
                  - enabled
                  - slack_connected
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````